
# pkg> activate KhovanskiiSolving 
using KhovanskiiSolving 
using Oscar
using LinearAlgebra

## Gr(3,6) GF(9716633)
k=3
m=6
n=k*(m-k)
A= [[2,4,6] ,[2,4,6] ,[2,4,6] ]
sum(codimSchubertVariety.(A,k,m))
K= GF(9716633)
K =QQ
R,ϕ,t,M= plueckercoordinates(k,m,K);
Flags,F,leadexps,degs_F= equationsSchubertVariety(A,k,m,K);

length(F) 
dreg= sum(degs_F)-m+1 +1

degs_F=[1 for i=1:length(F)];
dreg=2
@time KM = get_KM(F,dreg,degs_F,ϕ,K,t,leadexps);

@time Mul = get_commuting_matrices(F,dreg,degs_F,ϕ,K,t,leadexps);
size(Mul[1]) 
sol = solve_Khovanskii(F,dreg,degs_F,ϕ,t,leadexps);