# pkg> activate KhovanskiiSolving 
using KhovanskiiSolving 
using Oscar
using LinearAlgebra


varstring = ["x";"y"]
K=GF(9716633)
K=GF(101)
K=QQ
R, vrs = PolynomialRing(K, varstring)

x = vrs[1]; y = vrs[2];
ϕ = [ x^0; x ; y; (x^2+y^2)*x; (x^2+y^2)*y] 
w = [0;-1]
leadexps = [leadexp(hh,w) for hh in ϕ];
f =  transpose([1;3;5;7;0])*ϕ
g =  transpose([11;13;17;0;19])*ϕ

F=[f;g];
degs_F = [1;1];

dreg= sum(degs_F)+1
@time KM = get_KM(F,dreg,degs_F,ϕ,K,vrs,leadexps);
Mul, c = get_multiplication_matrices(KM,dreg,ϕ,K,vrs,leadexps);
size(Mul[1])
get_solutions(Mul)
get_real_solutions(Mul; tol = 1e-10)

@time a,b =real_solutions(ideal(F));